[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TStringCellEditor.WndProc

Implements the message processing loop for the cell editor control.

## Declaration

Source position: grids.pas line 241

`protected procedure TStringCellEditor.WndProc(`
`var TheMessage: TLMessage`
`); override;`

## Arguments

`TheMessage` |  | LCL message handled in the method.

## Description

WndProc is an overridden method in TStringCellEditor which implements the message processing loop for the cell editor control.

WndProc ensures that the column for the cell in the grid control is not marked as read-only when handling cut (LM_CUT), paste (LM_PASTE), and clear (LM_CLEAR) messages in TheMessage argument. No actions are performed in the method when the EditorIsReadOnly method in the associated grid control returns True.

If the grid control has not been assigned, or TheMessage contains a different message identifier, the inherited method in TCustomEdit is called to handle the specified message.

## See also

TStringCellEditor.msg_GetGrid |  | Stores the associated grid control and its options to the specified message.
TCustomGrid.EditorIsReadOnly |  | Determines if the current column number is defined as read-only.
TCustomEdit.WndProc |  | Suppresses the CM_CHANGED control message when an emulated TextHint is visible.